Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: FYI Compiler Issues  (Read 6075 times)

0 Members and 1 Guest are viewing this topic.

Lynn

  • Anope User
  • Offline Offline
  • Posts: 6
FYI Compiler Issues
« on: December 12, 2010, 11:32:38 PM »

gcc version 4.3.2 (Debian5 4.3.2-1.1) (local compile) 1.9.1-p1-source

Massive errors.

Used ./Config CC=gcc-4.3 and make CC=gcc-4.3

I run several compilers 3.4.x and higher all output same massive core errors.
Logged

katsklaw

  • Supporter
  • Anope User
  • Offline Offline
  • Posts: 537
Re: FYI Compiler Issues
« Reply #1 on: December 13, 2010, 12:47:33 AM »

You need to upgrade. try 1.9.2-p2, it's much newer. It does no good to report bugs/errors/compile problems on older releases as said issues could already be fixed.
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: FYI Compiler Issues
« Reply #2 on: December 13, 2010, 03:39:41 PM »

Or 1.9.3 (released earlier this morning)

If you continue to have problems please let us know as I run debian and have no issues.
Logged

katsklaw

  • Supporter
  • Anope User
  • Offline Offline
  • Posts: 537
Re: FYI Compiler Issues
« Reply #3 on: December 13, 2010, 07:36:27 PM »

Or 1.9.3 (released earlier this morning)

If you continue to have problems please let us know as I run debian and have no issues.

As do I with the exact same compiler version and 1.9.2-p2 compiles and runs fine.
Logged

Lynn

  • Anope User
  • Offline Offline
  • Posts: 6
Re: FYI Compiler Issues
« Reply #4 on: December 14, 2010, 01:55:11 PM »

1.9.2 does the same thing less errors but still core mods compile problems. I'll try the 193 see what happens.

You need to upgrade. try 1.9.2-p2, it's much newer. It does no good to report bugs/errors/compile problems on older releases as said issues could already be fixed.
Logged

Lynn

  • Anope User
  • Offline Offline
  • Posts: 6
Re: FYI Compiler Issues
« Reply #5 on: December 14, 2010, 02:20:09 PM »

Sorry ill pass on the 193 version its C++ only.

Or 1.9.3 (released earlier this morning)

If you continue to have problems please let us know as I run debian and have no issues.
Logged

katsklaw

  • Supporter
  • Anope User
  • Offline Offline
  • Posts: 537
Re: FYI Compiler Issues
« Reply #6 on: December 14, 2010, 06:24:36 PM »

ok, paste the errors you get with 1.9.2-p2. As I said I have the same OS and compiler with no errors at all.

Also, lets keep in mind that if you don;t like 1.9.3, you won't like future releases either.
Logged

Lynn

  • Anope User
  • Offline Offline
  • Posts: 6
Re: FYI Compiler Issues
« Reply #7 on: December 14, 2010, 07:34:19 PM »

Im really not that interested in the 1.9.x versions. 1.8.5 and back will make nice fork candidates, but i still have other packages to look at and test.

ok, paste the errors you get with 1.9.2-p2. As I said I have the same OS and compiler with no errors at all.

Also, lets keep in mind that if you don;t like 1.9.3, you won't like future releases either.
Logged
Pages: [1]   Go Up